{% extends 'generic/object.html' %}
{% load helpers %}
{% load render_table from django_tables2 %}

{% block extra_controls %}
  <a href="{% url 'plugins:netbox_rps_plugin:redirect_add' %}?mapping={{ object.pk }}&return_url={{ object.get_absolute_url }}" class="btn btn-sm btn-primary">
    <span class="mdi mdi-plus-thick" aria-hidden="true"></span> Add Redirect
  </a>
{% endblock %}

{% block content %}
    {% include 'inc/table_controls_htmx.html' with table_modal="RedirectTable_config" %}

    <form method="post">
        {% csrf_token %}
        <input type="hidden" name="return_url" value="{% if return_url %}{{ return_url }}{% else %}{{ request.path }}{% if request.GET %}?{{ request.GET.urlencode }}{% endif %}{% endif %}" />

        <div class="card">
            <div class="card-body htmx-container table-responsive" id="object_list">
                {% include 'htmx/table.html' %}
            </div>
        </div>
        <div class="noprint bulk-buttons">
            <div class="bulk-button-group">
              {% if 'bulk_delete' in actions %}
                <button type="submit" name="_delete" formaction="{% url 'plugins:netbox_rps_plugin:redirects_bulk_delete' %}?return_url={% url 'plugins:netbox_rps_plugin:redirect' pk=object.pk %}" class="btn btn-danger btn-sm">
                  <i class="mdi mdi-trash-can-outline" aria-hidden="true"></i> Delete
                </button>
              {% endif %}
            </div>
          </div>
    </form>

{% endblock %}

{% block modals %}
    {{ block.super }}
    {% table_config_form table %}
{% endblock modals %}
